﻿# Tested on Powershell v4.0, Win 2012 R2 64bit, Outlook 2013 32bit&64bit
# http://tech-arrow.com/documentation/contentaccess-documentation-version-3-3/?section=solution-for-outlook-security-patches-v-3-3
# Call the script with the shared folder parameter: .\CustomFormFix.ps1 -REGFILESPATH \\SharedFolder\CustomFormFix

param ([string]$REGFILESPATH="\\WIN-RJD18R5JAA4\CustomFormFix")

$OSTYPE = ((gwmi win32_operatingsystem | select osarchitecture).osarchitecture).substring(0,2)

$Path = $REGFILESPATH + "\Outlook 2007\Forms-2007-64win.reg"

if (-not(Test-Path $Path))
{
    Write-Host "Path does not exist"
}
else
{
    if ($OSTYPE -eq 64)
    {
        Write-Host "OS: 64bit"
        $name = "Bitness"
        $Path = "hklm:\\SOFTWARE\WOW6432Node\Microsoft\Office\12.0\Outlook"
        if (Test-Path $Path)
        {
            Write-Host "Outlook: 2007"
            If ((Get-ItemProperty $Path) -eq $null)
            {
                Write-Host "EMTPY"
            }
            else
            {
            $RegPath = "$REGFILESPATH" + "\Outlook 2007\Forms-2007-64win.reg"
            Regedit.exe /S  $RegPath
            }
        }
        $Path = "hklm:\\SOFTWARE\WOW6432Node\Microsoft\Office\14.0\Outlook"
        if (Test-Path $Path)
        {
            Write-Host "Outlook: 2010"
            If ((Get-ItemProperty $Path) -eq $null)
            {
                Write-Host "EMTPY"
            }
            else
            {
            $RegPath = "$REGFILESPATH" + "\Outlook 2010\Forms-2010-64win.reg"
            Regedit.exe /S  $RegPath
            }
        }
         $Path = "hklm:\\SOFTWARE\WOW6432Node\Microsoft\Office\15.0\Outlook"
        if (Test-Path $Path)
        {
            Write-Host "Outlook: 2013"
            If ((Get-ItemProperty $Path) -eq $null)
            {
                Write-Host "EMTPY"
            }
            else
            {
            $RegPath = "$REGFILESPATH" + "\Outlook 2013\Forms-2013-64win.reg"
            Regedit.exe /S  $RegPath
            }
        }
        $Path = "hklm:\\SOFTWARE\WOW6432Node\Microsoft\Office\16.0\Outlook"
        if (Test-Path $Path)
        {
            Write-Host "Outlook: 2016"
            If ((Get-ItemProperty $Path) -eq $null)
            {
                Write-Host "EMTPY"
            }
            else
            {
            $RegPath = "$REGFILESPATH" + "\Outlook 2016\Forms-2016-64win.reg"
            Regedit.exe /S  $RegPath
            }
        }
        $Path = "hklm:\\SOFTWARE\Microsoft\Office\14.0\Outlook"
        if (Test-Path $Path)
        {
            Write-Host "Outlook: 2010"
            If ((Get-ItemProperty $Path) -eq $null)
            {
                Write-Host "EMTPY"
            }
            else 
            {
            Write-Host "Outlook: 64bit"
            $RegPath = "$REGFILESPATH" + "\Outlook 2010\Forms-2010-samebit.reg"
            Regedit.exe /S  $RegPath
            }
        
        }
        $Path = "hklm:\\SOFTWARE\Microsoft\Office\15.0\Outlook"
        if (Test-Path $Path)
        {
            Write-Host "Outlook: 2013"
            If ((Get-ItemProperty $Path) -eq $null)
            {
                Write-Host "EMTPY"
            }
            else
            {
                Write-Host "Outlook: 64bit"
                $RegPath = "$REGFILESPATH" + "\Outlook 2013\Forms-2013-samebit.reg"
                Regedit.exe /S  $RegPath
            }
        
        }
        $Path = "hklm:\\SOFTWARE\Microsoft\Office\16.0\Outlook"
        if (Test-Path $Path)
        {
            Write-Host "Outlook: 2016"
            If ((Get-ItemProperty $Path) -eq $null)
            {
                Write-Host "EMTPY"
            }
            else 
            {
            Write-Host "Outlook: 64bit"
            $RegPath = "$REGFILESPATH" + "\Outlook 2016\Forms-2016-samebit.reg"
            Regedit.exe /S  $RegPath
            }
        
        }

    }
    if ($OSTYPE -eq 32)
    {   
        Write-Host "OS: 32bit"
        #Use the SAMEBIT versions
        $Path = "hklm:\\SOFTWARE\Microsoft\Office\12.0\Outlook"
        if (Test-Path $Path)
        {
            Write-Host "Outlook: 2007"
            If ((Get-ItemProperty $Path) -eq $null)
            {
                Write-Host "EMTPY"
            }
            else
            {
            $RegPath = "$REGFILESPATH" + "\Outlook 2007\Forms-2007-samebit.reg"
            Regedit.exe /S  $RegPath
            }
        }      
        $Path = "hklm:\\SOFTWARE\Microsoft\Office\14.0\Outlook"
        if (Test-Path $Path)
        {
            Write-Host "Outlook: 2010"
            If ((Get-ItemProperty $Path) -eq $null)
            {
                Write-Host "EMTPY"
            }
            else
            {
            $RegPath = "$REGFILESPATH" + "\Outlook 2010\Forms-2010-samebit.reg"
            Regedit.exe /S  $RegPath
            }
        }
        $Path = "hklm:\\SOFTWARE\Microsoft\Office\15.0\Outlook"
        if (Test-Path $Path)
        {
            Write-Host "Outlook: 2013"
            If ((Get-ItemProperty $Path) -eq $null)
            {
                Write-Host "EMTPY"
            }
            else
            {
            $RegPath = "$REGFILESPATH" + "\Outlook 2013\Forms-2013-samebit.reg"
            Regedit.exe /S  $RegPath
            }
        }
        $Path = "hklm:\\SOFTWARE\Microsoft\Office\16.0\Outlook"
        if (Test-Path $Path)
        {
            Write-Host "Outlook: 2016"
            If ((Get-ItemProperty $Path) -eq $null)
            {
            Write-Host "EMTPY"
            }
            else
            {
            $RegPath = "$REGFILESPATH" + "\Outlook 2016\Forms-2016-samebit.reg"
            Regedit.exe /S  $RegPath
            }
        }
    }
}